REWIND(3)

NAME
rewind, _rewind_r - reinitialize a file or stream

SYNOPSIS

#include <stdio.h>

void rewind(FILE *fp);

void _rewind_r(struct _reent *ptr, FILE *fp);

DESCRIPTION

rewind returns the file position indicator (if any) for the file or stream identified by fp to the beginning of the file. It also clears any error indicator and flushes any pending output.

RETURNS

rewind does not return a result.

PORTABILITY

ANSI C requires rewind.

No supporting OS subroutines are required.